import 'package:SEFER/constant/box_name.dart';
import 'package:SEFER/main.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'colors.dart';

class AppStyle {
  static TextStyle headTitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 40,
      color: AppColor.accentColor,
      fontFamily: box.read(BoxName.lang) == 'en'
          ? GoogleFonts.josefinSans().fontFamily
          : box.read(BoxName.lang) == 'ar'
              ? GoogleFonts.amiri().fontFamily
              : GoogleFonts.josefinSans().fontFamily);
  static TextStyle headTitle2 = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 26,
      color: AppColor.primaryColor,
      fontFamily: box.read(BoxName.lang) == 'en'
          ? GoogleFonts.josefinSans().fontFamily
          : box.read(BoxName.lang) == 'ar'
              ? GoogleFonts.amiri().fontFamily
              : GoogleFonts.josefinSans().fontFamily);
  static TextStyle title = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 16,
      color: AppColor.primaryColor,
      fontFamily: box.read(BoxName.lang) == 'en'
          ? GoogleFonts.josefinSans().fontFamily
          : box.read(BoxName.lang) == 'ar'
              ? GoogleFonts.amiri().fontFamily
              : GoogleFonts.josefinSans().fontFamily);
  static TextStyle subtitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 13,
      color: AppColor.primaryColor,
      fontFamily: box.read(BoxName.lang) == 'en'
          ? GoogleFonts.josefinSans().fontFamily
          : box.read(BoxName.lang) == 'ar'
              ? GoogleFonts.amiri().fontFamily
              : GoogleFonts.josefinSans().fontFamily);
  static TextStyle number = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 14,
      color: AppColor.primaryColor,
      fontFamily: GoogleFonts.averiaSansLibre().fontFamily);

  static BoxDecoration boxDecoration = const BoxDecoration(
      borderRadius: BorderRadius.all(Radius.circular(12)),
      color: AppColor.secondaryColor,
      boxShadow: [
        BoxShadow(
            color: AppColor.accentColor,
            offset: Offset(-3, -3),
            blurRadius: 0,
            spreadRadius: 0,
            blurStyle: BlurStyle.outer),
        BoxShadow(
            color: AppColor.accentColor,
            offset: Offset(3, 3),
            blurRadius: 0,
            spreadRadius: 0,
            blurStyle: BlurStyle.outer)
      ]);
  static BoxDecoration boxDecoration1 = const BoxDecoration(
    boxShadow: [
      BoxShadow(
          color: AppColor.accentColor, blurRadius: 5, offset: Offset(2, 4)),
      BoxShadow(
          color: AppColor.accentColor, blurRadius: 5, offset: Offset(-2, -2))
    ],
    color: AppColor.secondaryColor,
    borderRadius: BorderRadius.all(
      Radius.elliptical(15, 30),
    ),
  );
}
